The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Malware Stats Grouped by Engine

Prev Next

This URL is used to retrieve the malware statistics grouped by engines for a Sensor.

Resource URL

GET /sensor/{sensorId}/trafficstats/malwarestatsgroupbyengine

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

engine

Name of the engine for which the statistics(values) is given

String

values

Values of traffic statistics parameters for the given engine

Object

Details of values:

Field Name

Description

Data Type

filesSubmitted

Number of files submitted

String

filesIgnored

Number of files ignored

String

filesProcessed

Number of files processed

String

atdFilesDroppedUnderLoad

Number of ATD files dropped

String

atdStaticAnalysis

Number of ATD static analysis

String

atdDynamicAnalysis

Number of ATD dynamic analysis

String

atdCacheReferences

Number of ATD cache references

String

cleanFiles

Number of clean files out of all the files submitted

String

veryHighMalwareConfidenceMatches

Number of files with very high malware confidence matches

String

highMalwareConfidenceMatches

Number of files with high malware confidence matches

String

mediumMalwareConfidenceMatches

Number of files with medium malware confidence matches

String

lowMalwareConfidenceMatches

Number of files with low malware confidence matches

String

veryLowMalwareConfidenceMatches

Number of files with very low malware confidence matches

String

unknownMalwareConfidenceMatches

Number of files with unknown malware confidence matches

String

alertsGenerated

Number of alerts generated

String

filesBlocked

Number of files blocked

String

connectionsReset

Number of connection resets

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1009/trafficstats/malwarestatsgroupbyengine

Response

{
	"mlawareEngineTrafficStats":[
	{
		"engine":"Blocklist",
		"values":{
				"filesSubmitted":0,
				"filesIgnored":0,
				"filesProcessed":0,
				"atdFilesDroppedUnderLoad":0,
				"atdStaticAnalysis":0, 
				"atdDynamicAnalysis":0,
				"atdCacheReferences":0,  
				"cleanFiles":0,									
				"veryHighMalwareConfidenceMatches":0,
				"highMalwareConfidenceMatches":0,							
				"mediumMalwareConfidenceMatches":0,
				"lowMalwareConfidenceMatches":0,
				"veryLowMalwareConfidenceMatches":0,
				"unknownMalwareConfidenceMatches":0,
				"alertsGenerated":0,
				"filesBlocked":0,
				"connectionsReset":0
			}
			},
			{
		"engine":"GTI File Reputation",
		"values":{
				"filesSubmitted":0,
				"filesIgnored":0, 
				"filesProcessed":0,
				"atdFilesDroppedUnderLoad":0,
				"atdStaticAnalysis":0,
				"atdDynamicAnalysis":0,
				"atdCacheReferences":0,  
				"cleanFiles":0,
				"veryHighMalwareConfidenceMatches":0,
				"highMalwareConfidenceMatches":0,
				"mediumMalwareConfidenceMatches":0,
				"lowMalwareConfidenceMatches":0,
				"veryLowMalwareConfidenceMatches":0,
				"unknownMalwareConfidenceMatches":0,
				"alertsGenerated":0,
				"filesBlocked":0,
				"connectionsReset":0
			}
			},
			{			
		"engine":"PDFEmulation",
		"values":{
				"filesSubmitted":0,
				"filesIgnored":0, 
				"filesProcessed":0,
				"atdFilesDroppedUnderLoad":0,
				"atdStaticAnalysis":0, 
				"atdDynamicAnalysis":0,
				"atdCacheReferences":0,  
				"cleanFiles":0,
				"veryHighMalwareConfidenceMatches":0,
				"highMalwareConfidenceMatches":0,
				"mediumMalwareConfidenceMatches":0,
				"lowMalwareConfidenceMatches":0,
				"veryLowMalwareConfidenceMatches":0,
				"unknownMalwareConfidenceMatches":0,
				"alertsGenerated":0,
				"filesBlocked":0,
				"connectionsReset":0
			}
			},
			{
		"engine":"Flash Analysis  Engine",
		"values":{
				"filesSubmitted":0,
				"filesIgnored":0, 
				"filesProcessed":0,
				"atdFilesDroppedUnderLoad":0,
				"atdStaticAnalysis":0, 
				"atdDynamicAnalysis":0,
				"atdCacheReferences":0,  
				"cleanFiles":0,
				"veryHighMalwareConfidenceMatches":0,
				"highMalwareConfidenceMatches":0,
				"mediumMalwareConfidenceMatches":0,
				"lowMalwareConfidenceMatches":0,
				"veryLowMalwareConfidenceMatches":0,
				"unknownMalwareConfidenceMatches":0,
				"alertsGenerated":0,
				"filesBlocked":0,
				"connectionsReset":0
			}
		}
	]
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor: When the device id given is not valid